= The group Statement

.Syntax
[source,unlang]
----
group {
    [ statements ]
}
----

The `group` statement collects a series of statements into a list.
The default processing sections of the server (`authorize`,
`accounting`, etc.) are also `group` statements.  Those sections are
given different name for management reasons, but they behave
internally exactly like a `group`.

[ statements ]:: The `unlang` commands which will be executed.

All of the statements inside of the `group` are executed in sequence.
The `group` statement is not normally used, as the statements within
it can just be placed inside of the enclosing section.  However, the
`group` statement is included in the `unlang` syntax for completeness.

.Examples

[source,unlang]
----
group {
    sql
    ldap
    file
    if (updated) {
    ...
    }
}
----

// Copyright (C) 2020 Network RADIUS SAS.  Licenced under CC-by-NC 4.0.
// Development of this documentation was sponsored by Network RADIUS SAS.
